Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v2
Class ConsultCommentedClassificationType

    java.lang.Object
      be.fgov.ehealth.dics.core.v2.virtual.common.CommentedClassificationKeyType
          be.fgov.ehealth.dics.protocol.v2.ConsultCommentedClassificationType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:17+02:00",
               comments="JAXB RI v2.2.6")
    public class ConsultCommentedClassificationType

extends CommentedClassificationKeyType
implements Serializable

Java class for ConsultCommentedClassificationType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultCommentedClassificationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:core:v2:virtual:common}CommentedClassificationKeyType">
           <sequence>
             <element name="Title" type="{urn:be:fgov:ehealth:dics:protocol:v2}ConsultTextType" minOccurs="0"/>
             <element name="Content" type="{urn:be:fgov:ehealth:dics:protocol:v2}ConsultTextType" minOccurs="0"/>
             <element name="PosologyNote" type="{urn:be:fgov:ehealth:dics:protocol:v2}ConsultTextType"/>
             <element name="Url" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
           <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v2}validityPeriod"/>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultCommentedClassificationType()`

Method Summary
`ConsultTextType` | `getContent()` Gets the value of the content property.
`org.joda.time.DateTime` | `getFrom()` Gets the value of the from property.
`ConsultTextType` | `getPosologyNote()` Gets the value of the posologyNote property.
`ConsultTextType` | `getTitle()` Gets the value of the title property.
`org.joda.time.DateTime` | `getTo()` Gets the value of the to property.
`String` | `getUrl()` Gets the value of the url property.
`void` | `setContent(ConsultTextType value)` Sets the value of the content property.
`void` | `setFrom(org.joda.time.DateTime value)` Sets the value of the from property.
`void` | `setPosologyNote(ConsultTextType value)` Sets the value of the posologyNote property.
`void` | `setTitle(ConsultTextType value)` Sets the value of the title property.
`void` | `setTo(org.joda.time.DateTime value)` Sets the value of the to property.
`void` | `setUrl(String value)` Sets the value of the url property.

Methods inherited from class be.fgov.ehealth.dics.core.v2.virtual.common.CommentedClassificationKeyType
`getCode, setCode`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultCommentedClassificationType

    public ConsultCommentedClassificationType()

Method Detail

### getTitle

    public ConsultTextType getTitle()

  Gets the value of the title property.

  Returns:
    possible object is `ConsultTextType`

### setTitle

    public void setTitle(ConsultTextType value)

  Sets the value of the title property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getContent

    public ConsultTextType getContent()

  Gets the value of the content property.

  Returns:
    possible object is `ConsultTextType`

### setContent

    public void setContent(ConsultTextType value)

  Sets the value of the content property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getPosologyNote

    public ConsultTextType getPosologyNote()

  Gets the value of the posologyNote property.

  Returns:
    possible object is `ConsultTextType`

### setPosologyNote

    public void setPosologyNote(ConsultTextType value)

  Sets the value of the posologyNote property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getUrl

    public String getUrl()

  Gets the value of the url property.

  Returns:
    possible object is `String`

### setUrl

    public void setUrl(String value)

  Sets the value of the url property.

  Parameters:
    `value` - allowed object is `String`

### getFrom

    public org.joda.time.DateTime getFrom()

  Gets the value of the from property.

  Returns:
    possible object is `String`

### setFrom

    public void setFrom(org.joda.time.DateTime value)

  Sets the value of the from property.

  Parameters:
    `value` - allowed object is `String`

### getTo

    public org.joda.time.DateTime getTo()

  Gets the value of the to property.

  Returns:
    possible object is `String`

### setTo

    public void setTo(org.joda.time.DateTime value)

  Sets the value of the to property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.